<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.SchCollectErrorLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.scheduling.management.SchCollectErrorLog">
                    <id column="id" property="id"/>
                    <result column="terminator_ip" property="terminatorIp"/>
                    <result column="collector_id" property="collectorId"/>
                    <result column="collect_record_id" property="collectRecordId"/>
                    <result column="task_id" property="taskId"/>
                    <result column="is_retry_task" property="isRetryTask"/>
                    <result column="level" property="level"/>
                    <result column="description" property="description"/>
                    <result column="exception_info" property="exceptionInfo"/>
                    <result column="screen_path" property="screenPath"/>
                    <result column="create_time" property="createTime"/>
                    <result column="update_time" property="updateTime"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                id, terminator_ip, collector_id, collect_record_id, task_id, is_retry_task, level, description, exception_info, screen_path, create_time, update_time
            </sql>

</mapper>
